package com.lutao.uav.domain.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;

/**
 * 北海点位信息
 *
 * @author yx
 * @date 2024/06/24
 */
@Data
@TableName("north_sea_gas_point")
public class NorthSeaGasPoint implements Serializable {
    private static final long serialVersionUID = 422004013908760338L;

    @TableId(value = "id",type = IdType.ASSIGN_UUID)
    private String id;

    /**
     * 地点
     */
    private String companyName;

    /**
     * 点位
     */
    private String pointName;

    /**
     * 编码1
     */
    private String pointCode;

    /**
     * 编码2
     */
    private String pointCode2;

    /**
     * 点名称
     */
    private String pointType;

    /**
     * 单位
     */
    private String unit;

    /**
     * 经度
     */
    private String longitude;

    /**
     * 纬度
     */
    private String latitude;

    /**
     * 低报
     */
    private String lowReport;

    /**
     * 低低报
     */
    private String lowLowReport;

    /**
     * 高报
     */
    private String highReport;

    /**
     * 高高报
     */
    private String highHighReport;
}
